> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/da/udviklerressourcer/api-docs/vector-store/get-the-information-of-a-document.md).

# Hent oplysninger om et dokument

{% openapi src="<https://github.com/skydeckai/rememberizer-docs/blob/production/da/.gitbook/assets/rememberizer_openapi.yml>" path="/vector-stores/{vector-store-id}/documents/{document-id}" method="get" %}
<https://github.com/skydeckai/rememberizer-docs/blob/production/da/.gitbook/assets/rememberizer_openapi.yml>
{% endopenapi %}

## Eksempelanmodninger

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/vs_abc123/documents/1234 \
  -H "x-api-key: DIN_API_NØGLE"
```

{% hint style="info" %}
Erstat `DIN_API_NØGLE` med din faktiske Vector Store API-nøgle, `vs_abc123` med dit Vector Store ID, og `1234` med dokument-ID'en.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getDocumentInfo = async (vectorStoreId, documentId) => {
  const response = await fetch(`https://api.rememberizer.ai/api/v1/vector-stores/${vectorStoreId}/documents/${documentId}`, {
    method: 'GET',
    headers: {
      'x-api-key': 'DIN_API_NØGLE'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getDocumentInfo('vs_abc123', 1234);
```

{% hint style="info" %}
Erstat `DIN_API_NØGLE` med din faktiske Vector Store API-nøgle, `vs_abc123` med dit Vector Store ID, og `1234` med dokument-ID'en.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_document_info(vector_store_id, document_id):
    headers = {
        "x-api-key": "DIN_API_NØGLE"
    }
    
    response = requests.get(
        f"https://api.rememberizer.ai/api/v1/vector-stores/{vector_store_id}/documents/{document_id}",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_document_info('vs_abc123', 1234)
```

{% hint style="info" %}
Erstat `DIN_API_NØGLE` med din faktiske Vector Store API-nøgle, `vs_abc123` med dit Vector Store ID, og `1234` med dokument-ID'en.
{% endhint %}
{% endtab %}
{% endtabs %}

## Sti Parametre

| Parameter       | Type    | Beskrivelse                                                       |
| --------------- | ------- | ----------------------------------------------------------------- |
| vector-store-id | string  | **Påkrævet.** ID'en på vektorbutikken, der indeholder dokumentet. |
| document-id     | integer | **Påkrævet.** ID'en på det dokument, der skal hentes.             |

## Responsformat

```json
{
  "id": 1234,
  "name": "Produktmanual.pdf",
  "type": "application/pdf",
  "vector_store": "vs_abc123",
  "size": 250000,
  "status": "indekseret",
  "processing_status": "fuldført",
  "indexed_on": "2023-06-15T10:30:00Z",
  "status_error_message": null,
  "created": "2023-06-15T10:15:00Z",
  "modified": "2023-06-15T10:30:00Z"
}
```

## Godkendelse

Denne endpoint kræver godkendelse ved hjælp af en API-nøgle i `x-api-key` headeren.

## Fejl Svar

| Statuskode | Beskrivelse                                          |
| ---------- | ---------------------------------------------------- |
| 401        | Uautoriseret - Ugyldig eller manglende API-nøgle     |
| 404        | Ikke Fundet - Vektorbutik eller dokument ikke fundet |
| 500        | Intern Serverfejl                                    |

Denne endpoint henter detaljerede oplysninger om et specifikt dokument i vektorbutikken. Det er nyttigt til at tjekke behandlingsstatus for individuelle dokumenter og hente metadata som filtype, størrelse og tidsstempler. Dette kan være særligt nyttigt, når man fejlfinder problemer med dokumentbehandling eller når man har brug for at bekræfte, at et dokument er blevet korrekt indekseret.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/da/udviklerressourcer/api-docs/vector-store/get-the-information-of-a-document.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
